Bug 89047 - Read-Only ComboBox doesn't allow selection in PDF export
Summary: Read-Only ComboBox doesn't allow selection in PDF export
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2015-02-02 14:00 UTC by FS
Modified: 2019-12-03 14:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example odt file with some form controls, one of them a read-only comboBox (113.10 KB, application/vnd.oasis.opendocument.text)
2015-02-06 23:07 UTC, FS
Details
Example PDF from created from attached example odt file (85.65 KB, application/pdf)
2015-02-06 23:10 UTC, FS
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FS 2015-02-02 14:00:50 UTC
Setting a ComboBox in a LO Writer form to Read-Only (right-click -> "Control" -> "General" -> "Read-Only": "Yes") doesn't work when exporting the Form to PDF. Instead of restricting the selection to the ComboBox entries, it prevents selecting any entry completely.

Expected Behaviour:
-------------------

According to the docs, setting a ComboBox in a Writer Form to "Read-Only" (as described above) prevents the user from entering arbitrary content into the combobox, restricting her to the pre-defined values. This works fine when using the form inside LO Writer. I expected this to work also when exporting the LO Writer document to PDF, generating a PDF Form.

Current behaviour:
------------------

Instead of restricting the user to the pre-defined combobox values, he/she can't select _any_ value from the combobox if that control was set "Read-only" in Writer.

How to reproduce:
-----------------
1. Create a new odt file;
2. Insert a ComboBox;
3. Set the combobox read-only (either using the "Control" button in the toolbar or by selecting "Control" from the context menu).
4. Enter some list entries;
5. Set a default list entry;
6. Optionally, add a Text Box to verify if the form is editable;
7. Disable design mode to check the form functionality: 
  - entering arbitrary content in the text box works;
  - selecting a combobox entry works;
  - entering arbitrary content in the combobox doesn't work (this is ok, since it's read-only), 
8. Export the form as PDF (with PDF form generation enabled and PDF 1/A disabled);
9. Open the resulting PDF and check functionality:
  - entering arbitrary content in the text field works;
  - selecting a combobox entry doesn't work (!);
  - entering arbitrary content in the combobox doesn't work, too.
Comment 1 Buovjaga 2015-02-06 16:27:27 UTC
(In reply to FS from comment #0)
> 2. Insert a ComboBox;

https://help.libreoffice.org/Common/Combo_Box_List_Box_Wizard
I selected Bibliography as data source.
Table: biblio.
Existing fields: identifier.
No, I only want to save the value in the form.

> 4. Enter some list entries;

How do I do this?

> 5. Set a default list entry;

How do I do this?

You could also attach an example file.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information & the example document.
Comment 2 FS 2015-02-06 23:02:26 UTC
Thank you for taking a look at this issue. Regarding your comments:

1. you don't need to use the ComboBox Wizard to create a ComboBox. The wizard opens by default, but you may cancel it immediately. You can manually fill in the ComboBox values later.

2. how to list entries:
  a) make sure that the form is in design mode ( https://help.libreoffice.org/Common/Form_Design )
  b) select the ComboBox with a single left click;
  c) right-click to open its context menu;
  d) select "Control..." to open the ComboBox properties dialogue;
  e) on the "General" tab, scroll down to "List entries". Enter some text; use a manual line break (CTRL+Enter) to separate between the entries. Use a normal Enter to finish adding list entries.

3. how to set a default list entry
  a) steps a) to d) are the same as above;
  e) on the "General" tab, scroll down to "Default text". Enter some text that matches one of the list entries defines in step 2e).

I'll attach a sample odt file with three form controls and a pdf generated from that odt.
Comment 3 FS 2015-02-06 23:07:29 UTC
Created attachment 113192 [details]
Example odt file with some form controls, one of them a read-only comboBox

The example odt has three form controls, two comboboxes and one list box. The second combobox is read-only. So, when using the form inside LibreOffice, the user can add arbitrary content in the first combobox, but he is restricted to the pre-defined entries in the second combobox (as expected). Exporting the odt to PDF demonstrates the problem: The user can still use the first combobox, but he can't even select any entry from the second one.
Comment 4 FS 2015-02-06 23:10:30 UTC
Created attachment 113193 [details]
Example PDF from created from attached example odt file

The example pdf was created using "Export as PDF". In the PDF form, the user may select entries from the first combobox or even enter arbitrary content, but he can't even select an entry from the second combobox. The only difference between the two comboboxes is the read-only property.
Comment 5 Buovjaga 2015-02-07 06:54:27 UTC
Thanks for the instructions.
I reproduced from scratch, could not edit the form in Adobe Acrobat when it was set to Read-only Could edit when it was not set to Read-only.

Win 7 Pro 64-bit, LibO Version: 4.4.0.3
Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Locale: fi_FI
Comment 6 QA Administrators 2016-02-21 08:35:11 UTC Comment hidden (obsolete)
Comment 7 FS 2016-02-21 14:01:19 UTC
Bug is still present in LO 5.1.0.3 (Win 10 64bit) and in LO 5.0.5 (Linux x86_64), with no changes in the bug behavior.

Not a regression issue: tested with LibreOffice 3.3.0 portable (Win 10 64bit), samt behaviour as with current versions.
Comment 8 Buovjaga 2016-02-21 14:37:42 UTC
Thanks for testing! Updating version field to inherited..
Comment 9 QA Administrators 2017-10-30 08:31:40 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2019-12-03 14:31:26 UTC
Dear FS,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug